Installation

In order to install PyStan from PyPI make sure your system satisfies the requirements:

  • Python ≥3.7
  • Linux or macOS
  • x86-64 CPU
  • C++ compiler: gcc ≥9.0 or clang ≥10.0.

Install PyStan with pip. The following command will install PyStan:

python3 -m pip install pystan

Supported Linux distributions

There are two officially supported Linux distributions:

  • Debian 11
  • Ubuntu 20.04

Users have reported that PyStan works on several other Linux distributions. If you use an unsupported distribution and find that the PyPI wheels do not work, try installing httpstan from source. Once httpstan is installed, PyStan should work.